public class Node {
	
	private Node left;
    private int key;
    private Object value;
    private Node right;

    public Node(Node left, int key, Object value, Node right) {
        this.left = left;
        this.key = key;
        this.value = value;
        this.right = right;
    }

    public Node(int key, Object value) {
        this.key = key;
        this.value = value;
    }

    public Object getValue() {
        return this.value;
    }

    public int getKey() {
        return this.key;
    }
    
    public Node getLeft() {
        return this.left;
    }

    public Node getRight() {
        return this.right;
    }
}
